Initial Version
[qa-tools:mnts.git] / mnts-baseos-tests / src / connectivity_ethernet_001.sh
1 #!/bin/sh
2 #DESCR: Verify if the cpu is supported by Moblin
3 # Copyright (C) 2009 Intel Corporation.
4 #
5 # This program is free software; you can redistribute it and/or modify it
6 # under the terms and conditions of the GNU General Public License,
7 # version 2, as published by the Free Software Foundation.
8
9 # This program is distributed in the hope it will be useful, but WITHOUT
10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
12 # for more details.  
13
14 # You should have received a copy of the GNU General Public License along with
15 # this program; if not, write to the Free Software Foundation, Inc., 59 Temple
16 # Place - Suite 330, Boston, MA 02111-1307 USA.
17
18 #
19 # Authors:
20 #       Gong, Zhipeng <zhipeng.gong@intel.com>
21 cd `dirname $0`
22 . ./helper
23
24 interface_name=`get_internal_network_interface`
25 [ $? -eq 0 ] || { echo "cannot find ethernet controller"; exit 1; }
26 /sbin/ifconfig $interface_name 
27 [ $? -eq 0 ] || { echo "cannot ifconfig ethernet"; exit 1; }
28
29 #ifconfig eth0 down
30 #sleep 3
31 #ifconfig eth0 up
32 #echo "wait for the ethernet controller to get ip"
33 #sleep 10
34
35 #ifconfig eth0 | grep 'inet addr:'
36 #[ $? -eq 0 ] || { echo "cannot find the ip address for ethernet controller after down/up"; exit 1; }
37
38 exit 0
39